# Frequently Asked Questions

## How do I register?
Follow instructions for registering in [MetaCentrum Cloud](/register/README.md).

## How do I migrate from legacy platforms?
Follow instructions for [migrating from CESNET-MetaCloud or OStack ICS MUNI](/migrate/README.md).

## Where do I report a problem?
First, try searching the documentation for an answer to your problem. If that does not yield results, open a
ticket with [cloud@metacentrum.cz](mailto:cloud@metacentrum.cz). When contacting user support, always
include your *username* (upper right corner of the web interface) and *domain* with
active *project* (upper left corner of the web interface) as well as a description of
your problem and/or an error message if available.

## What networks I can use to access my instances?
Personal projects can allocate floating IPs from *public-muni-147-251-124* and *private-muni-10-16-116*.
Group projects can currently allocate floating IPs from *public-cesnet-78-128-251* and *private-muni-10-16-116*.
IP addresses from *public-muni-147-251-124* allocated by users to group projects are released daily, so we encourage
using only *public-cesnet-78-128-251* and *private-muni-10-16-116* for group projects.
Follow instructions at [changing the external network](/network/README.md) in order to change your public network.

## Issues with network stability in Docker
OpenStack instances use 1442 bytes MTU (maximum transmission unit) instead of standard 1500 bytes MTU. Instance itself is
able to setup correct MTU with its counterpart via Path MTU Discovery. Docker needs MTU setup explicitly. Refer documentation for setting up
1442 MTU in [Docker](https://docs.docker.com/v17.09/engine/userguide/networking/default_network/custom-docker0/) or
[Kubernetes](https://docs.projectcalico.org/v3.5/usage/configuration/mtu).
