# How To Get Access

Access to MetaCentrum Cloud is granted to users with active accounts in
one of the following identity federations
* __EINFRA CESNET__,
* __EGI Check-in__`*`,
* __ELIXIR AAI__`*`.

Users from the Czech academic community should always use the `EINFRA CESNET`
identity provider, unless instructed otherwise by user support.
Identity providers marked with `*` should only be used by international
communities with explicitly negotiated resource allocations.

MetaCentrum Cloud provides the following ways for allocating resources
* __personal project__,
* __group project__.

## Personal Project
Personal projects are available automatically to all users of the Czech
e-infrastructure for science, development, and education.

To register, follow instructions for
[registration in the MetaCentrum VO](https://www.metacentrum.cz/en/VO/metavo/).

Resource allocation quotas on personal projects are severe and will
not be extended. Personal projects are intended as a low-barrier entry
into the infrastructure for testing and exploration of features. Any
serious resource usage requires the use of a group project, see below.

The following already established terms and conditions apply
* [Terms and Conditions for Access to the CESNET e-infrastructure](https://www.cesnet.cz/conditions/?lang=en)
* [MetaCentrum End User Statement and Usage Rules](https://www.metacentrum.cz/en/about/rules/index.html)
* [Appreciation Formula / Acknowlegement in Publications](https://wiki.metacentrum.cz/wiki/Usage_rules/Acknowledgement)
* [Account Validity](https://wiki.metacentrum.cz/wiki/Usage_rules/Account)
* [Annual Report](https://wiki.metacentrum.cz/wiki/MetaCentrum_Annual_Report_%E2%88%92_Author_Instructions)

## Group Project
Group projects are the primary resource allocation unit for MetaCentrum Cloud.
Any user or a group of users requiring a non-trivial amount of resources must
request a group project and provide the following basic information
* __name of the project__,
* __purpose of the project__,
* __contact information__,
* __amount and type of requested resources__,
* __impact would the service have on unavailability for 1h, 1d, 1w__,
* __estimated length of the project__,
* __access control information__ _[(info)](#get-access-control-information)_.

## Get access control information
__Access control__ is based on information provided by the selected identity federation
and is presented in the form of a VO name and, optionally, a group name. Every user
with active membership in the specified VO/group will have full access to all resources
of the requested group project. Membership is managed with tools provided by the selected
identity federation, in a self-service manner.

If you are already using services provided by the __CESNET e-Infrastructure__ e.g. MetaCentrum or Data Care,
please contact CESNET support in order to create a new group within the CESNET e-Infrastructure.  
If you represent a project internal to __Masaryk University__, please contact the MUNI Identity Management team
in order to create a new group within the Unified MU Login service.

 In the request, describe that you need a group for accessing MetaCentrum Cloud and provide the following information:
* Project/group name
* Project members

When you receive confirmation that group is ready, please, visit OpenID Connect User Profile according to your federation:
 - [EINFRA CESNET](https://login.cesnet.cz/oidc/manage/user/profile)
 - [EGI](https://aai.egi.eu/oidc/manage/user/profile)
 - [ELIXIR](https://login.elixir-czech.org/oidc/manage/user/profile)

and provide us with information that you see on the page. That is going to be __access control information__.

After creating a group, you will be provided with a graphical interface for managing group members within the Perun system.
And you will be able to make further adjustments to the member list on your own.
